Bug 1454947 - Allow identify replicated interfaces on HA environments
Summary: Allow identify replicated interfaces on HA environments
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.8.0
Hardware: x86_64
OS: Linux
high
high
Target Milestone: GA
: 5.9.0
Assignee: Tzu-Mainn Chen
QA Contact: Ido Ovadia
URL:
Whiteboard: openstack:sdn
Depends On:
Blocks: 1450082 1450087 1460308 1461886
TreeView+ depends on / blocked
 
Reported: 2017-05-23 20:43 UTC by Ido Ovadia
Modified: 2018-03-06 14:59 UTC (History)
6 users (show)

Fixed In Version: 5.9.0.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1460308 1461886 (view as bug list)
Environment:
Last Closed: 2018-03-06 14:59:50 UTC
Category: ---
Cloudforms Team: Openstack
Target Upstream Version:


Attachments (Terms of Use)

Description Ido Ovadia 2017-05-23 20:43:08 UTC
Description of problem:
=======================
Allow HA envs to capture router/subnet relationship through port info

Version-Release number of selected component:
=============================================
5.8.0.16

How reproducible:
=================
On HA setup - Always 


configuration missing on:
=========================
.../manageiq/providers/openstack/network_manager/refresh_parser.rb 

when "network:router_interface", "network:router_ha_interface"

  - Add replicated interface:

when "network:router_interface", "network:router_ha_interface", "network:ha_router_replicated_interface

Comment 2 CFME Bot 2017-05-24 09:38:57 UTC
New commit detected on ManageIQ/manageiq-providers-openstack/master:
https://github.com/ManageIQ/manageiq-providers-openstack/commit/e3f3b457bd82d06be3db51d52f599bdbb0d46ff7

commit e3f3b457bd82d06be3db51d52f599bdbb0d46ff7
Author:     Tzu-Mainn Chen <tzumainn@redhat.com>
AuthorDate: Wed May 24 03:40:02 2017 +0200
Commit:     Tzu-Mainn Chen <tzumainn@redhat.com>
CommitDate: Wed May 24 03:40:02 2017 +0200

    Add network:ha_router_replicated_interface when checking ports
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1454947

 .../manageiq/providers/openstack/network_manager/refresh_parser.rb      | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 5 Ido Ovadia 2018-01-11 16:17:12 UTC
Verified
========
5.9.0.16


Note You need to log in before you can comment on or make changes to this bug.